<?php

namespace Pinpoint\LogoManager\Block;

use Magento\Framework\View\Element\Template;

/**
 * Class Logo
 * @package Pinpoint\LogoManager\Block
 */
class Logo extends Template
{
    /**
     * @var string $_template
     */
    protected $_template = "Pinpoint_LogoManager::renderer.phtml";

    /**
     * @var \Pinpoint\LogoManager\Model\Logo
     */
    protected $logos;

    /**
     * Logo constructor.
     * @param Template\Context $context
     * @param \Pinpoint\LogoManager\Model\Logo $logos
     * @param array $data
     */
    public function __construct(
        Template\Context $context,
        \Pinpoint\LogoManager\Model\Logo $logos,
        array $data = []
    ) {
        $this->logos = $logos;

        parent::__construct($context, $data);
    }

    /**
     * @return \Magento\Framework\DataObject[]
     */
    public function getLogos()
    {
        $collection = $this->logos->getCollection()
            ->addFieldToFilter('is_active', \Pinpoint\LogoManager\Model\Logo::STATUS_ENABLED)
            ->setOrder('position', 'ASC');

        return $collection->getItems();
    }

    /**
     * @param $imageUrl
     * @return string
     */
    public function getImageUrl($imageUrl)
    {
        if (pathinfo(realpath($_SERVER["DOCUMENT_ROOT"]))['basename'] == 'pub') {
            return str_replace('pub/', '', $imageUrl);
        }

        return $imageUrl;
    }

}