# ext_m2_LogoManager
This module adds the ability to render images (and text) out in a block. This could be used in cases just as a USP bar or a "companies using our services" section.
## Installation  

Use the package manager [composer](https://getcomposer.org/) to install the module.  

```bash  
composer require pinpoint/logomanager
```  
## Usage
To manage the various logos and text go to the following section in the admin panel:
```
Admin > Content > Logo Manager > Manage Logos
```
Once here you are able to Add/Edit/Delete entries from the list. You can add/edit the following information per logo:

 - Image
 - Text (by default template this is added as an alt tag, but can be repurposed to actual text for USP Bar)
 - Position
 - Enabled/Disabled

To render the logos on a page you can do this via XML or CMS block.
### Layout XML
```xml
<block class="Pinpoint\LogoManager\Block\Logo" name="logo.example.reference" />
```
### CMS Block
```
{{block class="Pinpoint\LogoManager\Block\Logo" name="logo.example.reference"}}
```
There is a default template which will be rendered which will renders all the images, with the alt tag inside a `div` containing a `<ul>`. If you'd like to create your own layout you can create an overwrite in your theme of the `renderer.phtml` file or by passing a `template` attribute to the layout XML.

### Working in the template file
Get all enabled logos:
```php
$logosArray = $block->getLogos();
```
Get image URL:
```php
$imageUrl = $block->getImageUrl($logo->getData('logo'));
```
Get logo text:
```php
$text = $logo->getData('logo_name');
```
## Screenshots
### Manage Logos
![Manage Logos](logo-manage.png)
### Edit Logo
![Edit Logo](logo-edit.png)
